#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'main_widget.ui'
**
** Created: 2016-02-06T13:57:12
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "main_widget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <kpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kdialog.h"

/*
 *  Constructs a MainWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
MainWidget::MainWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "MainWidget" );
    MainWidgetLayout = new QGridLayout( this, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "MainWidgetLayout"); 

    btnChangeFace = new KPushButton( this, "btnChangeFace" );
    btnChangeFace->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, btnChangeFace->sizePolicy().hasHeightForWidth() ) );
    btnChangeFace->setMinimumSize( QSize( 74, 74 ) );
    btnChangeFace->setMaximumSize( QSize( 74, 74 ) );
    btnChangeFace->setAcceptDrops( TRUE );

    MainWidgetLayout->addWidget( btnChangeFace, 0, 0 );

    grpUserInformation = new QGroupBox( this, "grpUserInformation" );
    grpUserInformation->setColumnLayout(0, Qt::Vertical );
    grpUserInformation->layout()->setSpacing( KDialog::spacingHint() );
    grpUserInformation->layout()->setMargin( KDialog::marginHint() );
    grpUserInformationLayout = new QGridLayout( grpUserInformation->layout() );
    grpUserInformationLayout->setAlignment( Qt::AlignTop );

    lblOrganisation = new QLabel( grpUserInformation, "lblOrganisation" );

    grpUserInformationLayout->addWidget( lblOrganisation, 1, 0 );

    leRealname = new QLineEdit( grpUserInformation, "leRealname" );

    grpUserInformationLayout->addWidget( leRealname, 0, 1 );

    lblRealName = new QLabel( grpUserInformation, "lblRealName" );

    grpUserInformationLayout->addWidget( lblRealName, 0, 0 );

    leOrganization = new QLineEdit( grpUserInformation, "leOrganization" );

    grpUserInformationLayout->addWidget( leOrganization, 1, 1 );

    lblEmail = new QLabel( grpUserInformation, "lblEmail" );

    grpUserInformationLayout->addWidget( lblEmail, 2, 0 );

    leEmail = new QLineEdit( grpUserInformation, "leEmail" );

    grpUserInformationLayout->addWidget( leEmail, 2, 1 );

    textLabel3 = new QLabel( grpUserInformation, "textLabel3" );

    grpUserInformationLayout->addWidget( textLabel3, 3, 0 );

    leSMTP = new QLineEdit( grpUserInformation, "leSMTP" );

    grpUserInformationLayout->addWidget( leSMTP, 3, 1 );

    lblUIDTell = new QLabel( grpUserInformation, "lblUIDTell" );

    grpUserInformationLayout->addWidget( lblUIDTell, 5, 0 );

    lblUID = new QLabel( grpUserInformation, "lblUID" );

    grpUserInformationLayout->addWidget( lblUID, 5, 1 );

    MainWidgetLayout->addMultiCellWidget( grpUserInformation, 1, 1, 0, 3 );
    spacer3 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    MainWidgetLayout->addItem( spacer3, 4, 2 );

    layout1 = new QVBoxLayout( 0, 0, KDialog::spacingHint(), "layout1"); 

    lblUsername = new QLabel( this, "lblUsername" );
    QFont lblUsername_font(  lblUsername->font() );
    lblUsername_font.setFamily( "Bitstream Charter" );
    lblUsername_font.setPointSize( 14 );
    lblUsername->setFont( lblUsername_font ); 
    lblUsername->setAlignment( int( QLabel::AlignVCenter ) );
    layout1->addWidget( lblUsername );

    lblClickButtonInfo = new QLabel( this, "lblClickButtonInfo" );
    lblClickButtonInfo->setAlignment( int( QLabel::AlignVCenter ) );
    layout1->addWidget( lblClickButtonInfo );

    MainWidgetLayout->addMultiCellLayout( layout1, 0, 0, 1, 3 );

    btnChangePassword = new KPushButton( this, "btnChangePassword" );

    MainWidgetLayout->addMultiCellWidget( btnChangePassword, 3, 3, 0, 1 );
    spacer2 = new QSpacerItem( 111, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    MainWidgetLayout->addItem( spacer2, 3, 3 );

    kcfg_EchoMode = new QButtonGroup( this, "kcfg_EchoMode" );
    kcfg_EchoMode->setFlat( FALSE );
    kcfg_EchoMode->setCheckable( FALSE );
    kcfg_EchoMode->setChecked( FALSE );
    kcfg_EchoMode->setProperty( "selectedId", 0 );
    kcfg_EchoMode->setColumnLayout(0, Qt::Vertical );
    kcfg_EchoMode->layout()->setSpacing( KDialog::spacingHint() );
    kcfg_EchoMode->layout()->setMargin( KDialog::marginHint() );
    kcfg_EchoModeLayout = new QGridLayout( kcfg_EchoMode->layout() );
    kcfg_EchoModeLayout->setAlignment( Qt::AlignTop );

    rdbOneStar = new QRadioButton( kcfg_EchoMode, "rdbOneStar" );

    kcfg_EchoModeLayout->addWidget( rdbOneStar, 0, 0 );

    rdbThreeStars = new QRadioButton( kcfg_EchoMode, "rdbThreeStars" );

    kcfg_EchoModeLayout->addWidget( rdbThreeStars, 1, 0 );

    rdbShowPassword = new QRadioButton( kcfg_EchoMode, "rdbShowPassword" );

    kcfg_EchoModeLayout->addWidget( rdbShowPassword, 2, 0 );

    MainWidgetLayout->addMultiCellWidget( kcfg_EchoMode, 2, 2, 0, 3 );
    languageChange();
    resize( QSize(518, 561).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( btnChangeFace, leRealname );
    setTabOrder( leRealname, leOrganization );
    setTabOrder( leOrganization, leEmail );
    setTabOrder( leEmail, leSMTP );
    setTabOrder( leSMTP, rdbOneStar );
    setTabOrder( rdbOneStar, rdbThreeStars );
    setTabOrder( rdbThreeStars, rdbShowPassword );
    setTabOrder( rdbShowPassword, btnChangePassword );

    // buddies
    lblOrganisation->setBuddy( leOrganization );
    lblRealName->setBuddy( leRealname );
    lblEmail->setBuddy( leEmail );
    textLabel3->setBuddy( leSMTP );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MainWidget::~MainWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MainWidget::languageChange()
{
    setCaption( tr2i18n( "KCMUserAccount" ) );
    btnChangeFace->setText( QString::null );
    grpUserInformation->setTitle( tr2i18n( "User Information" ) );
    lblOrganisation->setText( tr2i18n( "&Organization:" ) );
    lblRealName->setText( tr2i18n( "&Name:" ) );
    lblEmail->setText( tr2i18n( "&Email address:" ) );
    textLabel3->setText( tr2i18n( "&SMTP server:" ) );
    lblUIDTell->setText( tr2i18n( "User ID:" ) );
    lblUID->setText( QString::null );
    lblUsername->setText( QString::null );
    lblClickButtonInfo->setText( tr2i18n( "<i>(Click the button to change your image)</i>" ) );
    btnChangePassword->setText( tr2i18n( "Change Password..." ) );
    kcfg_EchoMode->setTitle( tr2i18n( "At Password Prompt" ) );
    rdbOneStar->setText( tr2i18n( "Show one star for each letter" ) );
    rdbThreeStars->setText( tr2i18n( "Show three stars for each letter" ) );
    rdbShowPassword->setText( tr2i18n( "Show nothing" ) );
}

/****************************************************************************
** MainWidget meta object code from reading C++ file 'main_widget.h'
**
** Created: Sat Feb 6 13:57:12 2016
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "main_widget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *MainWidget::className() const
{
    return "MainWidget";
}

QMetaObject *MainWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_MainWidget( "MainWidget", &MainWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString MainWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "MainWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString MainWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "MainWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* MainWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"MainWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_MainWidget.setMetaObject( metaObj );
    return metaObj;
}

void* MainWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "MainWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool MainWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool MainWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool MainWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool MainWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
