#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'analog.ui'
**
** Created: 2016-02-06T13:52:37
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "analog.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <kcolorbutton.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kdialog.h"
#include "kfontrequester.h"

/*
 *  Constructs a AnalogWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AnalogWidget::AnalogWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AnalogWidget" );
    AnalogWidgetLayout = new QVBoxLayout( this, 0, KDialog::spacingHint(), "AnalogWidgetLayout"); 

    ButtonGroup2_3_2 = new QButtonGroup( this, "ButtonGroup2_3_2" );
    ButtonGroup2_3_2->setColumnLayout(0, Qt::Vertical );
    ButtonGroup2_3_2->layout()->setSpacing( KDialog::spacingHint() );
    ButtonGroup2_3_2->layout()->setMargin( KDialog::marginHint() );
    ButtonGroup2_3_2Layout = new QHBoxLayout( ButtonGroup2_3_2->layout() );
    ButtonGroup2_3_2Layout->setAlignment( Qt::AlignTop );

    kcfg_AnalogShowDate = new QCheckBox( ButtonGroup2_3_2, "kcfg_AnalogShowDate" );
    ButtonGroup2_3_2Layout->addWidget( kcfg_AnalogShowDate );

    kcfg_AnalogShowSeconds = new QCheckBox( ButtonGroup2_3_2, "kcfg_AnalogShowSeconds" );
    kcfg_AnalogShowSeconds->setChecked( TRUE );
    ButtonGroup2_3_2Layout->addWidget( kcfg_AnalogShowSeconds );

    kcfg_AnalogShowDayOfWeek = new QCheckBox( ButtonGroup2_3_2, "kcfg_AnalogShowDayOfWeek" );
    ButtonGroup2_3_2Layout->addWidget( kcfg_AnalogShowDayOfWeek );

    kcfg_AnalogShowFrame = new QCheckBox( ButtonGroup2_3_2, "kcfg_AnalogShowFrame" );
    ButtonGroup2_3_2Layout->addWidget( kcfg_AnalogShowFrame );
    spacer20 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ButtonGroup2_3_2Layout->addItem( spacer20 );
    AnalogWidgetLayout->addWidget( ButtonGroup2_3_2 );

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( KDialog::spacingHint() );
    groupBox1->layout()->setMargin( KDialog::marginHint() );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    layout9 = new QGridLayout( 0, 1, 1, 0, KDialog::spacingHint(), "layout9"); 

    kcfg_AnalogBackgroundColor = new KColorButton( groupBox1, "kcfg_AnalogBackgroundColor" );
    kcfg_AnalogBackgroundColor->setEnabled( FALSE );

    layout9->addWidget( kcfg_AnalogBackgroundColor, 2, 1 );

    kcfg_AnalogShadowColor = new KColorButton( groupBox1, "kcfg_AnalogShadowColor" );
    kcfg_AnalogShadowColor->setEnabled( FALSE );

    layout9->addWidget( kcfg_AnalogShadowColor, 1, 1 );

    foregroundAnalogLabel = new QLabel( groupBox1, "foregroundAnalogLabel" );
    foregroundAnalogLabel->setEnabled( FALSE );

    layout9->addWidget( foregroundAnalogLabel, 0, 0 );
    spacer13 = new QSpacerItem( 16, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout9->addItem( spacer13, 1, 2 );

    backgroundAnalogLabel = new QLabel( groupBox1, "backgroundAnalogLabel" );
    backgroundAnalogLabel->setEnabled( FALSE );

    layout9->addWidget( backgroundAnalogLabel, 2, 0 );

    kcfg_AnalogForegroundColor = new KColorButton( groupBox1, "kcfg_AnalogForegroundColor" );
    kcfg_AnalogForegroundColor->setEnabled( FALSE );

    layout9->addWidget( kcfg_AnalogForegroundColor, 0, 1 );

    shadowAnalogLabel = new QLabel( groupBox1, "shadowAnalogLabel" );
    shadowAnalogLabel->setEnabled( FALSE );

    layout9->addWidget( shadowAnalogLabel, 1, 0 );

    groupBox1Layout->addMultiCellLayout( layout9, 2, 2, 0, 2 );

    TextLabel1_3 = new QLabel( groupBox1, "TextLabel1_3" );

    groupBox1Layout->addWidget( TextLabel1_3, 0, 0 );

    kcfg_AnalogAntialias = new QComboBox( FALSE, groupBox1, "kcfg_AnalogAntialias" );

    groupBox1Layout->addWidget( kcfg_AnalogAntialias, 0, 1 );
    Spacer18_2 = new QSpacerItem( 310, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox1Layout->addItem( Spacer18_2, 0, 2 );

    kcfg_AnalogLCDStyle = new QCheckBox( groupBox1, "kcfg_AnalogLCDStyle" );
    kcfg_AnalogLCDStyle->setChecked( TRUE );

    groupBox1Layout->addMultiCellWidget( kcfg_AnalogLCDStyle, 1, 1, 0, 2 );
    spacer54 = new QSpacerItem( 20, 50, QSizePolicy::Minimum, QSizePolicy::Expanding );
    groupBox1Layout->addItem( spacer54, 3, 2 );
    AnalogWidgetLayout->addWidget( groupBox1 );
    languageChange();
    resize( QSize(524, 307).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_AnalogLCDStyle, SIGNAL( toggled(bool) ), foregroundAnalogLabel, SLOT( setDisabled(bool) ) );
    connect( kcfg_AnalogLCDStyle, SIGNAL( toggled(bool) ), backgroundAnalogLabel, SLOT( setDisabled(bool) ) );
    connect( kcfg_AnalogLCDStyle, SIGNAL( toggled(bool) ), shadowAnalogLabel, SLOT( setDisabled(bool) ) );
    connect( kcfg_AnalogLCDStyle, SIGNAL( toggled(bool) ), kcfg_AnalogForegroundColor, SLOT( setDisabled(bool) ) );
    connect( kcfg_AnalogLCDStyle, SIGNAL( toggled(bool) ), kcfg_AnalogShadowColor, SLOT( setDisabled(bool) ) );
    connect( kcfg_AnalogLCDStyle, SIGNAL( toggled(bool) ), kcfg_AnalogBackgroundColor, SLOT( setDisabled(bool) ) );

    // tab order
    setTabOrder( kcfg_AnalogShowDate, kcfg_AnalogShowSeconds );
    setTabOrder( kcfg_AnalogShowSeconds, kcfg_AnalogShowFrame );
    setTabOrder( kcfg_AnalogShowFrame, kcfg_AnalogAntialias );
    setTabOrder( kcfg_AnalogAntialias, kcfg_AnalogLCDStyle );
    setTabOrder( kcfg_AnalogLCDStyle, kcfg_AnalogForegroundColor );
    setTabOrder( kcfg_AnalogForegroundColor, kcfg_AnalogShadowColor );
    setTabOrder( kcfg_AnalogShadowColor, kcfg_AnalogBackgroundColor );

    // buddies
    foregroundAnalogLabel->setBuddy( kcfg_AnalogForegroundColor );
    backgroundAnalogLabel->setBuddy( kcfg_AnalogBackgroundColor );
    shadowAnalogLabel->setBuddy( kcfg_AnalogShadowColor );
    TextLabel1_3->setBuddy( kcfg_AnalogAntialias );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AnalogWidget::~AnalogWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AnalogWidget::languageChange()
{
    ButtonGroup2_3_2->setTitle( tr2i18n( "Display" ) );
    kcfg_AnalogShowDate->setText( tr2i18n( "Dat&e" ) );
    kcfg_AnalogShowSeconds->setText( tr2i18n( "Seco&nds" ) );
    kcfg_AnalogShowDayOfWeek->setText( tr2i18n( "Da&y of week" ) );
    kcfg_AnalogShowFrame->setText( tr2i18n( "&Frame" ) );
    groupBox1->setTitle( tr2i18n( "Time" ) );
    kcfg_AnalogBackgroundColor->setText( QString::null );
    kcfg_AnalogShadowColor->setText( QString::null );
    foregroundAnalogLabel->setText( tr2i18n( "Foreground color:" ) );
    backgroundAnalogLabel->setText( tr2i18n( "Background color:" ) );
    kcfg_AnalogForegroundColor->setText( QString::null );
    shadowAnalogLabel->setText( tr2i18n( "Shadow color:" ) );
    TextLabel1_3->setText( tr2i18n( "Antialias:" ) );
    kcfg_AnalogAntialias->clear();
    kcfg_AnalogAntialias->insertItem( tr2i18n( "None" ) );
    kcfg_AnalogAntialias->insertItem( tr2i18n( "Low Quality" ) );
    kcfg_AnalogAntialias->insertItem( tr2i18n( "High Quality" ) );
    kcfg_AnalogAntialias->setCurrentItem( 0 );
    kcfg_AnalogLCDStyle->setText( tr2i18n( "&LCD look" ) );
}

/****************************************************************************
** AnalogWidget meta object code from reading C++ file 'analog.h'
**
** Created: Sat Feb 6 13:52:37 2016
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "analog.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *AnalogWidget::className() const
{
    return "AnalogWidget";
}

QMetaObject *AnalogWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_AnalogWidget( "AnalogWidget", &AnalogWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString AnalogWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AnalogWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString AnalogWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AnalogWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* AnalogWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"AnalogWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AnalogWidget.setMetaObject( metaObj );
    return metaObj;
}

void* AnalogWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AnalogWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool AnalogWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool AnalogWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AnalogWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool AnalogWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
