#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'appletview.ui'
**
** Created: 2016-02-06T13:51:03
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "appletview.h"

#include <qvariant.h>
#include <tqscrollview.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AppletView as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AppletView::AppletView( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AppletView" );
    AppletViewLayout = new QVBoxLayout( this, 0, 6, "AppletViewLayout"); 

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    textLabel8 = new QLabel( this, "textLabel8" );
    layout8->addWidget( textLabel8 );

    appletSearch = new QLineEdit( this, "appletSearch" );
    appletSearch->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 10, 0, appletSearch->sizePolicy().hasHeightForWidth() ) );
    layout8->addWidget( appletSearch );

    textLabel1 = new QLabel( this, "textLabel1" );
    layout8->addWidget( textLabel1 );

    appletFilter = new QComboBox( FALSE, this, "appletFilter" );
    appletFilter->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 1, 0, appletFilter->sizePolicy().hasHeightForWidth() ) );
    layout8->addWidget( appletFilter );
    AppletViewLayout->addLayout( layout8 );

    appletScrollView = new QScrollView( this, "appletScrollView" );
    appletScrollView->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 1, appletScrollView->sizePolicy().hasHeightForWidth() ) );
    appletScrollView->setMaximumSize( QSize( 32767, 32767 ) );
    appletScrollView->setFocusPolicy( QScrollView::NoFocus );
    AppletViewLayout->addWidget( appletScrollView );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 
    spacer8 = new QSpacerItem( 284, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer8 );

    appletInstall = new KPushButton( this, "appletInstall" );
    layout3->addWidget( appletInstall );

    closeButton = new KPushButton( this, "closeButton" );
    layout3->addWidget( closeButton );
    AppletViewLayout->addLayout( layout3 );
    languageChange();
    resize( QSize(490, 334).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( appletSearch, appletFilter );

    // buddies
    textLabel8->setBuddy( appletSearch );
    textLabel1->setBuddy( appletFilter );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AppletView::~AppletView()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AppletView::languageChange()
{
    textLabel8->setText( tr2i18n( "&Search:" ) );
    QWhatsThis::add( appletSearch, tr2i18n( "<qt>Type here some text to filter on the applet names and comments</qt>" ) );
    textLabel1->setText( tr2i18n( "S&how:" ) );
    appletFilter->clear();
    appletFilter->insertItem( tr2i18n( "All" ) );
    appletFilter->insertItem( tr2i18n( "Applets" ) );
    appletFilter->insertItem( tr2i18n( "Special Buttons" ) );
    QWhatsThis::add( appletFilter, tr2i18n( "<qt>Select here the only applet category that you want to show</qt>" ) );
    QWhatsThis::add( appletScrollView, tr2i18n( "<qt>This is the applet list. Select an applet and click on <b>Add to panel</b> to add it</qt>" ) );
    appletInstall->setText( tr2i18n( "&Add to Panel" ) );
    closeButton->setText( tr2i18n( "&Close" ) );
}

/****************************************************************************
** AppletView meta object code from reading C++ file 'appletview.h'
**
** Created: Sat Feb 6 13:51:03 2016
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "appletview.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *AppletView::className() const
{
    return "AppletView";
}

QMetaObject *AppletView::metaObj = 0;
static QMetaObjectCleanUp cleanUp_AppletView( "AppletView", &AppletView::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString AppletView::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AppletView", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString AppletView::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AppletView", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* AppletView::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"AppletView", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AppletView.setMetaObject( metaObj );
    return metaObj;
}

void* AppletView::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AppletView" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool AppletView::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool AppletView::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AppletView::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool AppletView::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
