#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'keyecandypagedlg.ui'
**
** Created: 2016-02-06T13:56:54
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "keyecandypagedlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qslider.h>
#include <qheader.h>
#include <klistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kdialog.h"

/*
 *  Constructs a KEyeCandyPageDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KEyeCandyPageDlg::KEyeCandyPageDlg( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KEyeCandyPageDlg" );
    KEyeCandyPageDlgLayout = new QGridLayout( this, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "KEyeCandyPageDlgLayout"); 

    px_eyecandySidebar = new QLabel( this, "px_eyecandySidebar" );
    px_eyecandySidebar->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, px_eyecandySidebar->sizePolicy().hasHeightForWidth() ) );
    px_eyecandySidebar->setMinimumSize( QSize( 170, 430 ) );
    px_eyecandySidebar->setFrameShape( QLabel::Panel );
    px_eyecandySidebar->setFrameShadow( QLabel::Sunken );
    px_eyecandySidebar->setScaledContents( TRUE );
    px_eyecandySidebar->setIndent( 0 );

    KEyeCandyPageDlgLayout->addMultiCellWidget( px_eyecandySidebar, 0, 5, 0, 0 );

    TextLabel8 = new QLabel( this, "TextLabel8" );
    TextLabel8->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, TextLabel8->sizePolicy().hasHeightForWidth() ) );
    TextLabel8->setAlignment( int( QLabel::WordBreak | QLabel::AlignTop | QLabel::AlignLeft ) );

    KEyeCandyPageDlgLayout->addWidget( TextLabel8, 0, 1 );

    Layout8 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "Layout8"); 

    TextLabel3_2 = new QLabel( this, "TextLabel3_2" );
    TextLabel3_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, TextLabel3_2->sizePolicy().hasHeightForWidth() ) );
    TextLabel3_2->setTextFormat( QLabel::PlainText );
    TextLabel3_2->setAlignment( int( QLabel::AlignCenter ) );
    Layout8->addWidget( TextLabel3_2 );
    Spacer13 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout8->addItem( Spacer13 );

    Fast_2 = new QLabel( this, "Fast_2" );
    Fast_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, Fast_2->sizePolicy().hasHeightForWidth() ) );
    Fast_2->setAlignment( int( QLabel::AlignCenter ) );
    Layout8->addWidget( Fast_2 );

    KEyeCandyPageDlgLayout->addLayout( Layout8, 1, 1 );

    sld_effects = new QSlider( this, "sld_effects" );
    sld_effects->setMaxValue( 9 );
    sld_effects->setPageStep( 1 );
    sld_effects->setValue( 4 );
    sld_effects->setOrientation( QSlider::Horizontal );
    sld_effects->setTickmarks( QSlider::Right );

    KEyeCandyPageDlgLayout->addWidget( sld_effects, 2, 1 );

    Layout7 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "Layout7"); 

    btn_detail = new QPushButton( this, "btn_detail" );
    btn_detail->setToggleButton( TRUE );
    Layout7->addWidget( btn_detail );
    Spacer12 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout7->addItem( Spacer12 );

    KEyeCandyPageDlgLayout->addLayout( Layout7, 3, 1 );
    spacer_details = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Minimum );
    KEyeCandyPageDlgLayout->addItem( spacer_details, 4, 1 );

    klv_features = new KListView( this, "klv_features" );
    klv_features->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 0, klv_features->sizePolicy().hasHeightForWidth() ) );
    klv_features->setMinimumSize( QSize( 0, 120 ) );

    KEyeCandyPageDlgLayout->addWidget( klv_features, 5, 1 );
    languageChange();
    resize( QSize(598, 475).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( btn_detail, SIGNAL( toggled(bool) ), this, SLOT( slotEyeCandyShowDetails(bool) ) );
    connect( sld_effects, SIGNAL( valueChanged(int) ), this, SLOT( slotEyeCandySliderMoved(int) ) );
    connect( sld_effects, SIGNAL( valueChanged(int) ), this, SLOT( slotEyeCandySliderMoved(int) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KEyeCandyPageDlg::~KEyeCandyPageDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KEyeCandyPageDlg::languageChange()
{
    TextLabel8->setText( tr2i18n( "<P>Trinity offers many visually appealing special effects, such as smoothed fonts, previews in the file manager and animated menus. All this beauty, however, comes at a small performance cost. </P>\n"
"If you have a fast, new processor, you might want to turn them all on, but for those of us with slower processors, starting off with less eye candy helps to keep your desktop more responsive." ) );
    TextLabel3_2->setText( tr2i18n( "Slow Processor\n"
"(fewer effects)" ) );
    QToolTip::add( TextLabel3_2, tr2i18n( "Slow processors perform poorly with effects" ) );
    Fast_2->setText( tr2i18n( "Fast Processor\n"
"(more effects)" ) );
    QToolTip::add( Fast_2, tr2i18n( "Fast processors can support all effects" ) );
    btn_detail->setText( tr2i18n( "Show &Details >>" ) );
}

void KEyeCandyPageDlg::slotEyeCandyShowDetails(bool)
{
    qWarning( "KEyeCandyPageDlg::slotEyeCandyShowDetails(bool): Not implemented yet" );
}

void KEyeCandyPageDlg::slotEyeCandySliderMoved(int)
{
    qWarning( "KEyeCandyPageDlg::slotEyeCandySliderMoved(int): Not implemented yet" );
}

/****************************************************************************
** KEyeCandyPageDlg meta object code from reading C++ file 'keyecandypagedlg.h'
**
** Created: Sat Feb 6 13:56:54 2016
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "keyecandypagedlg.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KEyeCandyPageDlg::className() const
{
    return "KEyeCandyPageDlg";
}

QMetaObject *KEyeCandyPageDlg::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KEyeCandyPageDlg( "KEyeCandyPageDlg", &KEyeCandyPageDlg::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KEyeCandyPageDlg::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KEyeCandyPageDlg", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KEyeCandyPageDlg::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KEyeCandyPageDlg", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KEyeCandyPageDlg::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUParameter param_slot_0[] = {
	{ 0, &static_QUType_bool, 0, QUParameter::In }
    };
    static const QUMethod slot_0 = {"slotEyeCandyShowDetails", 1, param_slot_0 };
    static const QUParameter param_slot_1[] = {
	{ 0, &static_QUType_int, 0, QUParameter::In }
    };
    static const QUMethod slot_1 = {"slotEyeCandySliderMoved", 1, param_slot_1 };
    static const QUMethod slot_2 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "slotEyeCandyShowDetails(bool)", &slot_0, QMetaData::Public },
	{ "slotEyeCandySliderMoved(int)", &slot_1, QMetaData::Public },
	{ "languageChange()", &slot_2, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KEyeCandyPageDlg", parentObject,
	slot_tbl, 3,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KEyeCandyPageDlg.setMetaObject( metaObj );
    return metaObj;
}

void* KEyeCandyPageDlg::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KEyeCandyPageDlg" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool KEyeCandyPageDlg::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: slotEyeCandyShowDetails((bool)static_QUType_bool.get(_o+1)); break;
    case 1: slotEyeCandySliderMoved((int)static_QUType_int.get(_o+1)); break;
    case 2: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KEyeCandyPageDlg::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KEyeCandyPageDlg::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool KEyeCandyPageDlg::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
