#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'timed.ui'
**
** Created: 2016-02-06T13:58:10
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "timed.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a TimedLogoutDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
TimedLogoutDlg::TimedLogoutDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "TimedLogoutDlg" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    TimedLogoutDlgLayout = new QVBoxLayout( this, 0, 0, "TimedLogoutDlgLayout"); 

    frame3 = new QFrame( this, "frame3" );
    frame3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, frame3->sizePolicy().hasHeightForWidth() ) );
    frame3->setFrameShape( QFrame::StyledPanel );
    frame3->setFrameShadow( QFrame::Raised );
    frame3->setLineWidth( 2 );
    frame3->setMargin( 0 );
    frame3->setMidLineWidth( 0 );
    frame3Layout = new QHBoxLayout( frame3, 11, 6, "frame3Layout"); 

    layout10 = new QVBoxLayout( 0, 0, 0, "layout10"); 

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    layout6 = new QVBoxLayout( 0, 0, 0, "layout6"); 
    spacer3_2 = new QSpacerItem( 20, 2, QSizePolicy::Minimum, QSizePolicy::MinimumExpanding );
    layout6->addItem( spacer3_2 );

    m_logo = new QLabel( frame3, "m_logo" );
    m_logo->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, m_logo->sizePolicy().hasHeightForWidth() ) );
    m_logo->setMinimumSize( QSize( 48, 48 ) );
    m_logo->setScaledContents( TRUE );
    layout6->addWidget( m_logo );
    spacer3 = new QSpacerItem( 20, 2, QSizePolicy::Minimum, QSizePolicy::MinimumExpanding );
    layout6->addItem( spacer3 );
    layout8->addLayout( layout6 );

    layout7 = new QVBoxLayout( 0, 7, 6, "layout7"); 

    m_title = new QLabel( frame3, "m_title" );
    m_title->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, m_title->sizePolicy().hasHeightForWidth() ) );
    QFont m_title_font(  m_title->font() );
    m_title_font.setBold( TRUE );
    m_title->setFont( m_title_font ); 
    m_title->setTextFormat( QLabel::PlainText );
    m_title->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    layout7->addWidget( m_title );

    m_text = new QLabel( frame3, "m_text" );
    m_text->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, m_text->sizePolicy().hasHeightForWidth() ) );
    m_text->setTextFormat( QLabel::RichText );
    m_text->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    layout7->addWidget( m_text );
    spacer4 = new QSpacerItem( 30, 0, QSizePolicy::Minimum, QSizePolicy::Preferred );
    layout7->addItem( spacer4 );
    layout8->addLayout( layout7 );
    layout10->addLayout( layout8 );

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 
    spacer2 = new QSpacerItem( 90, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout9->addItem( spacer2 );

    pushButton1 = new QPushButton( frame3, "pushButton1" );
    pushButton1->setOn( FALSE );
    layout9->addWidget( pushButton1 );
    spacer2_2 = new QSpacerItem( 90, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout9->addItem( spacer2_2 );

    pushButton2 = new QPushButton( frame3, "pushButton2" );
    pushButton2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, pushButton2->sizePolicy().hasHeightForWidth() ) );
    layout9->addWidget( pushButton2 );
    spacer2_2_2 = new QSpacerItem( 90, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout9->addItem( spacer2_2_2 );
    layout10->addLayout( layout9 );
    frame3Layout->addLayout( layout10 );
    TimedLogoutDlgLayout->addWidget( frame3 );
    languageChange();
    resize( QSize(381, 131).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushButton1, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( pushButton2, SIGNAL( clicked() ), this, SLOT( reject() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
TimedLogoutDlg::~TimedLogoutDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TimedLogoutDlg::languageChange()
{
    setCaption( tr2i18n( "Confirmation" ) );
    m_title->setText( tr2i18n( "Would you like to shutdown your computer?" ) );
    m_text->setText( tr2i18n( "If you do not act, your computer will shutdown\n"
"after X automatically." ) );
    pushButton1->setText( tr2i18n( "Confirm" ) );
    pushButton2->setText( tr2i18n( "Cancel" ) );
}

/****************************************************************************
** TimedLogoutDlg meta object code from reading C++ file 'timed.h'
**
** Created: Sat Feb 6 13:58:10 2016
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "timed.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *TimedLogoutDlg::className() const
{
    return "TimedLogoutDlg";
}

QMetaObject *TimedLogoutDlg::metaObj = 0;
static QMetaObjectCleanUp cleanUp_TimedLogoutDlg( "TimedLogoutDlg", &TimedLogoutDlg::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString TimedLogoutDlg::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "TimedLogoutDlg", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString TimedLogoutDlg::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "TimedLogoutDlg", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* TimedLogoutDlg::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"TimedLogoutDlg", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_TimedLogoutDlg.setMetaObject( metaObj );
    return metaObj;
}

void* TimedLogoutDlg::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "TimedLogoutDlg" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool TimedLogoutDlg::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool TimedLogoutDlg::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool TimedLogoutDlg::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool TimedLogoutDlg::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
