#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'SensorLoggerDlgWidget.ui'
**
** Created: 2016-02-06T14:02:01
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "SensorLoggerDlgWidget.h"

#include <qvariant.h>
#include <kdialog.h>
#include <knumvalidator.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <kurlrequester.h>
#include <knuminput.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "SensorLoggerDlgWidget.ui.h"

/*
 *  Constructs a SensorLoggerDlgWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SensorLoggerDlgWidget::SensorLoggerDlgWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SensorLoggerDlgWidget" );
    SensorLoggerDlgWidgetLayout = new QVBoxLayout( this, KDialog::marginHint(), KDialog::spacingHint(), "SensorLoggerDlgWidgetLayout"); 

    fileFrame = new QGroupBox( this, "fileFrame" );
    fileFrame->setFrameShape( QGroupBox::GroupBoxPanel );
    fileFrame->setFrameShadow( QGroupBox::Sunken );
    fileFrame->setColumnLayout(0, Qt::Vertical );
    fileFrame->layout()->setSpacing( KDialog::spacingHint() );
    fileFrame->layout()->setMargin( KDialog::marginHint() );
    fileFrameLayout = new QHBoxLayout( fileFrame->layout() );
    fileFrameLayout->setAlignment( Qt::AlignTop );

    m_fileName = new KURLRequester( fileFrame, "m_fileName" );
    fileFrameLayout->addWidget( m_fileName );
    SensorLoggerDlgWidgetLayout->addWidget( fileFrame );

    timerFrame = new QGroupBox( this, "timerFrame" );
    timerFrame->setColumnLayout(0, Qt::Vertical );
    timerFrame->layout()->setSpacing( KDialog::spacingHint() );
    timerFrame->layout()->setMargin( KDialog::marginHint() );
    timerFrameLayout = new QHBoxLayout( timerFrame->layout() );
    timerFrameLayout->setAlignment( Qt::AlignTop );

    m_timerInterval = new KIntNumInput( timerFrame, "m_timerInterval" );
    m_timerInterval->setValue( 2 );
    m_timerInterval->setMinValue( 1 );
    m_timerInterval->setMaxValue( 99 );
    timerFrameLayout->addWidget( m_timerInterval );
    SensorLoggerDlgWidgetLayout->addWidget( timerFrame );

    GroupBox1 = new QGroupBox( this, "GroupBox1" );
    GroupBox1->setColumnLayout(0, Qt::Vertical );
    GroupBox1->layout()->setSpacing( KDialog::spacingHint() );
    GroupBox1->layout()->setMargin( KDialog::marginHint() );
    GroupBox1Layout = new QHBoxLayout( GroupBox1->layout() );
    GroupBox1Layout->setAlignment( Qt::AlignTop );

    m_lowerLimitActive = new QCheckBox( GroupBox1, "m_lowerLimitActive" );
    GroupBox1Layout->addWidget( m_lowerLimitActive );
    Spacer1 = new QSpacerItem( 16, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    GroupBox1Layout->addItem( Spacer1 );

    m_lblLowerLimit = new QLabel( GroupBox1, "m_lblLowerLimit" );
    m_lblLowerLimit->setEnabled( FALSE );
    GroupBox1Layout->addWidget( m_lblLowerLimit );

    m_lowerLimit = new QLineEdit( GroupBox1, "m_lowerLimit" );
    m_lowerLimit->setEnabled( FALSE );
    m_lowerLimit->setMinimumSize( QSize( 70, 0 ) );
    GroupBox1Layout->addWidget( m_lowerLimit );
    SensorLoggerDlgWidgetLayout->addWidget( GroupBox1 );

    GroupBox1_2 = new QGroupBox( this, "GroupBox1_2" );
    GroupBox1_2->setColumnLayout(0, Qt::Vertical );
    GroupBox1_2->layout()->setSpacing( KDialog::spacingHint() );
    GroupBox1_2->layout()->setMargin( KDialog::marginHint() );
    GroupBox1_2Layout = new QHBoxLayout( GroupBox1_2->layout() );
    GroupBox1_2Layout->setAlignment( Qt::AlignTop );

    m_upperLimitActive = new QCheckBox( GroupBox1_2, "m_upperLimitActive" );
    GroupBox1_2Layout->addWidget( m_upperLimitActive );
    Spacer1_2 = new QSpacerItem( 16, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    GroupBox1_2Layout->addItem( Spacer1_2 );

    m_lblUpperLimit = new QLabel( GroupBox1_2, "m_lblUpperLimit" );
    m_lblUpperLimit->setEnabled( FALSE );
    GroupBox1_2Layout->addWidget( m_lblUpperLimit );

    m_upperLimit = new QLineEdit( GroupBox1_2, "m_upperLimit" );
    m_upperLimit->setEnabled( FALSE );
    m_upperLimit->setMinimumSize( QSize( 70, 0 ) );
    GroupBox1_2Layout->addWidget( m_upperLimit );
    SensorLoggerDlgWidgetLayout->addWidget( GroupBox1_2 );
    languageChange();
    resize( QSize(363, 254).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_lowerLimitActive, SIGNAL( toggled(bool) ), m_lowerLimit, SLOT( setEnabled(bool) ) );
    connect( m_upperLimitActive, SIGNAL( toggled(bool) ), m_upperLimit, SLOT( setEnabled(bool) ) );
    connect( m_lowerLimitActive, SIGNAL( toggled(bool) ), m_lblLowerLimit, SLOT( setEnabled(bool) ) );
    connect( m_upperLimitActive, SIGNAL( toggled(bool) ), m_lblUpperLimit, SLOT( setEnabled(bool) ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
SensorLoggerDlgWidget::~SensorLoggerDlgWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SensorLoggerDlgWidget::languageChange()
{
    fileFrame->setTitle( tr2i18n( "File" ) );
    timerFrame->setTitle( tr2i18n( "Timer Interval" ) );
    m_timerInterval->setSuffix( tr2i18n( " sec" ) );
    GroupBox1->setTitle( tr2i18n( "Alarm for Minimum Value" ) );
    m_lowerLimitActive->setText( tr2i18n( "&Enable alarm" ) );
    QWhatsThis::add( m_lowerLimitActive, tr2i18n( "Enable the minimum value alarm." ) );
    m_lblLowerLimit->setText( tr2i18n( "Lower limit:" ) );
    GroupBox1_2->setTitle( tr2i18n( "Alarm for Maximum Value" ) );
    m_upperLimitActive->setText( tr2i18n( "E&nable alarm" ) );
    QWhatsThis::add( m_upperLimitActive, tr2i18n( "Enable the maximum value alarm." ) );
    m_lblUpperLimit->setText( tr2i18n( "Upper limit:" ) );
}

/****************************************************************************
** SensorLoggerDlgWidget meta object code from reading C++ file 'SensorLoggerDlgWidget.h'
**
** Created: Sat Feb 6 14:02:01 2016
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "SensorLoggerDlgWidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *SensorLoggerDlgWidget::className() const
{
    return "SensorLoggerDlgWidget";
}

QMetaObject *SensorLoggerDlgWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_SensorLoggerDlgWidget( "SensorLoggerDlgWidget", &SensorLoggerDlgWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString SensorLoggerDlgWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "SensorLoggerDlgWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString SensorLoggerDlgWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "SensorLoggerDlgWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* SensorLoggerDlgWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"SensorLoggerDlgWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_SensorLoggerDlgWidget.setMetaObject( metaObj );
    return metaObj;
}

void* SensorLoggerDlgWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SensorLoggerDlgWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool SensorLoggerDlgWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool SensorLoggerDlgWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool SensorLoggerDlgWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool SensorLoggerDlgWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
