#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'keramikconfig.ui'
**
** Created: 2016-02-06T13:43:46
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "keramikconfig.h"

#include <qvariant.h>
#include <kdialog.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KeramikConfigUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KeramikConfigUI::KeramikConfigUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KeramikConfigUI" );
    KeramikConfigUILayout = new QVBoxLayout( this, 0, KDialog::spacingHint(), "KeramikConfigUILayout"); 

    showAppIcons = new QCheckBox( this, "showAppIcons" );
    KeramikConfigUILayout->addWidget( showAppIcons );

    smallCaptions = new QCheckBox( this, "smallCaptions" );
    KeramikConfigUILayout->addWidget( smallCaptions );

    largeGrabBars = new QCheckBox( this, "largeGrabBars" );
    KeramikConfigUILayout->addWidget( largeGrabBars );

    useShadowedText = new QCheckBox( this, "useShadowedText" );
    KeramikConfigUILayout->addWidget( useShadowedText );
    languageChange();
    resize( QSize(295, 104).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KeramikConfigUI::~KeramikConfigUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KeramikConfigUI::languageChange()
{
    setCaption( tr2i18n( "Keramik" ) );
    showAppIcons->setText( tr2i18n( "Display the window &icon in the caption bubble" ) );
    QWhatsThis::add( showAppIcons, tr2i18n( "Check this option if you want the window icon to be displayed in the caption bubble next to the titlebar text." ) );
    smallCaptions->setText( tr2i18n( "Draw &small caption bubbles on active windows" ) );
    QWhatsThis::add( smallCaptions, tr2i18n( "Check this option if you want the caption bubble to have the same size on active windows that it has on inactive ones. This option is useful for laptops or low resolution displays where you want maximize the amount of space available to the window contents." ) );
    largeGrabBars->setText( tr2i18n( "Draw g&rab bars below windows" ) );
    QWhatsThis::add( largeGrabBars, tr2i18n( "Check this option if you want a grab bar to be drawn below windows. When this option is not selected only a thin border will be drawn in its place." ) );
    useShadowedText->setText( tr2i18n( "Use shadowed &text" ) );
    QWhatsThis::add( useShadowedText, tr2i18n( "Check this option if you want the titlebar text to have a 3D look with a shadow behind it." ) );
}

/****************************************************************************
** KeramikConfigUI meta object code from reading C++ file 'keramikconfig.h'
**
** Created: Sat Feb 6 13:43:46 2016
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "keramikconfig.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KeramikConfigUI::className() const
{
    return "KeramikConfigUI";
}

QMetaObject *KeramikConfigUI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KeramikConfigUI( "KeramikConfigUI", &KeramikConfigUI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KeramikConfigUI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KeramikConfigUI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KeramikConfigUI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KeramikConfigUI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KeramikConfigUI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KeramikConfigUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KeramikConfigUI.setMetaObject( metaObj );
    return metaObj;
}

void* KeramikConfigUI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KeramikConfigUI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool KeramikConfigUI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KeramikConfigUI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KeramikConfigUI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool KeramikConfigUI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
