#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'detectwidgetbase.ui'
**
** Created: 2016-02-06T13:43:11
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "detectwidgetbase.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qframe.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KWinInternal::DetectWidgetBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KWinInternal::DetectWidgetBase::DetectWidgetBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "Form3" );
    Form3Layout = new QGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "Form3Layout"); 
    spacer1 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Form3Layout->addMultiCell( spacer1, 9, 9, 0, 1 );

    textLabel11 = new QLabel( this, "textLabel11" );

    Form3Layout->addWidget( textLabel11, 6, 0 );

    textLabel1 = new QLabel( this, "textLabel1" );

    Form3Layout->addWidget( textLabel1, 2, 0 );

    textLabel3 = new QLabel( this, "textLabel3" );

    Form3Layout->addWidget( textLabel3, 3, 0 );

    type_label = new QLabel( this, "type_label" );

    Form3Layout->addWidget( type_label, 4, 1 );

    textLabel8 = new QLabel( this, "textLabel8" );

    Form3Layout->addWidget( textLabel8, 5, 0 );

    class_label = new QLabel( this, "class_label" );

    Form3Layout->addWidget( class_label, 2, 1 );

    role_label = new QLabel( this, "role_label" );

    Form3Layout->addWidget( role_label, 3, 1 );

    title_label = new QLabel( this, "title_label" );

    Form3Layout->addWidget( title_label, 5, 1 );

    machine_label = new QLabel( this, "machine_label" );

    Form3Layout->addWidget( machine_label, 7, 1 );

    textLabel4 = new QLabel( this, "textLabel4" );

    Form3Layout->addWidget( textLabel4, 4, 0 );

    extrarole_label = new QLabel( this, "extrarole_label" );

    Form3Layout->addWidget( extrarole_label, 6, 1 );

    textLabel13 = new QLabel( this, "textLabel13" );

    Form3Layout->addWidget( textLabel13, 7, 0 );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );

    Form3Layout->addMultiCellWidget( line1, 1, 1, 0, 1 );

    textLabel9 = new QLabel( this, "textLabel9" );

    Form3Layout->addMultiCellWidget( textLabel9, 0, 0, 0, 1 );

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( KDialog::spacingHint() );
    buttonGroup1->layout()->setMargin( KDialog::marginHint() );
    buttonGroup1Layout = new QVBoxLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    use_class = new QRadioButton( buttonGroup1, "use_class" );
    use_class->setChecked( TRUE );
    buttonGroup1Layout->addWidget( use_class );

    use_role = new QRadioButton( buttonGroup1, "use_role" );
    buttonGroup1Layout->addWidget( use_role );

    use_whole_class = new QRadioButton( buttonGroup1, "use_whole_class" );
    buttonGroup1Layout->addWidget( use_whole_class );

    match_title = new QCheckBox( buttonGroup1, "match_title" );
    buttonGroup1Layout->addWidget( match_title );

    Form3Layout->addMultiCellWidget( buttonGroup1, 8, 8, 0, 1 );
    languageChange();
    resize( QSize(523, 325).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KWinInternal::DetectWidgetBase::~DetectWidgetBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KWinInternal::DetectWidgetBase::languageChange()
{
    textLabel11->setText( tr2i18n( "Extra role:" ) );
    textLabel1->setText( tr2i18n( "Class:" ) );
    textLabel3->setText( tr2i18n( "Role:" ) );
    type_label->setText( QString::null );
    textLabel8->setText( tr2i18n( "Title:" ) );
    class_label->setText( QString::null );
    role_label->setText( QString::null );
    title_label->setText( QString::null );
    machine_label->setText( QString::null );
    textLabel4->setText( tr2i18n( "Type:" ) );
    extrarole_label->setText( QString::null );
    textLabel13->setText( tr2i18n( "Machine:" ) );
    textLabel9->setText( tr2i18n( "Information About Selected Window" ) );
    buttonGroup1->setTitle( QString::null );
    use_class->setText( tr2i18n( "Use window &class (whole application)" ) );
    QWhatsThis::add( use_class, tr2i18n( "For selecting all windows belonging to a specific application, selecting only window class should usually work." ) );
    use_role->setText( tr2i18n( "Use window class and window &role (specific window)" ) );
    QWhatsThis::add( use_role, tr2i18n( "For selecting a specific window in an application, both window class and window role should be selected. Window class will determine the application, and window role the specific window in the application; many applications do not provide useful window roles though." ) );
    use_whole_class->setText( tr2i18n( "Use &whole window class (specific window)" ) );
    QWhatsThis::add( use_whole_class, tr2i18n( "With some (non-KDE) applications whole window class can be sufficient for selecting a specific window in an application, as they set whole window class to contain both application and window role." ) );
    match_title->setText( tr2i18n( "Match also window &title" ) );
}

/****************************************************************************
** KWinInternal::DetectWidgetBase meta object code from reading C++ file 'detectwidgetbase.h'
**
** Created: Sat Feb 6 13:43:11 2016
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "detectwidgetbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KWinInternal::DetectWidgetBase::className() const
{
    return "KWinInternal::DetectWidgetBase";
}

QMetaObject *KWinInternal::DetectWidgetBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KWinInternal__DetectWidgetBase( "KWinInternal::DetectWidgetBase", &KWinInternal::DetectWidgetBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KWinInternal::DetectWidgetBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KWinInternal::DetectWidgetBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KWinInternal::DetectWidgetBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KWinInternal::DetectWidgetBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KWinInternal::DetectWidgetBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KWinInternal::DetectWidgetBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KWinInternal__DetectWidgetBase.setMetaObject( metaObj );
    return metaObj;
}

void* KWinInternal::DetectWidgetBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KWinInternal::DetectWidgetBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool KWinInternal::DetectWidgetBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KWinInternal::DetectWidgetBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KWinInternal::DetectWidgetBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool KWinInternal::DetectWidgetBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
