#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'digital.ui'
**
** Created: 2016-02-06T13:52:37
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "digital.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <kcolorbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kdialog.h"
#include "kfontrequester.h"

/*
 *  Constructs a DigitalWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DigitalWidget::DigitalWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "DigitalWidget" );
    DigitalWidgetLayout = new QVBoxLayout( this, 0, KDialog::spacingHint(), "DigitalWidgetLayout"); 

    ButtonGroup2_3 = new QButtonGroup( this, "ButtonGroup2_3" );
    ButtonGroup2_3->setColumnLayout(0, Qt::Vertical );
    ButtonGroup2_3->layout()->setSpacing( KDialog::spacingHint() );
    ButtonGroup2_3->layout()->setMargin( KDialog::marginHint() );
    ButtonGroup2_3Layout = new QHBoxLayout( ButtonGroup2_3->layout() );
    ButtonGroup2_3Layout->setAlignment( Qt::AlignTop );

    kcfg_DigitalShowDate = new QCheckBox( ButtonGroup2_3, "kcfg_DigitalShowDate" );
    kcfg_DigitalShowDate->setChecked( TRUE );
    ButtonGroup2_3Layout->addWidget( kcfg_DigitalShowDate );

    kcfg_DigitalShowSeconds = new QCheckBox( ButtonGroup2_3, "kcfg_DigitalShowSeconds" );
    ButtonGroup2_3Layout->addWidget( kcfg_DigitalShowSeconds );

    kcfg_DigitalShowDayOfWeek = new QCheckBox( ButtonGroup2_3, "kcfg_DigitalShowDayOfWeek" );
    ButtonGroup2_3Layout->addWidget( kcfg_DigitalShowDayOfWeek );

    kcfg_DigitalBlink = new QCheckBox( ButtonGroup2_3, "kcfg_DigitalBlink" );
    ButtonGroup2_3Layout->addWidget( kcfg_DigitalBlink );

    kcfg_DigitalShowFrame = new QCheckBox( ButtonGroup2_3, "kcfg_DigitalShowFrame" );
    ButtonGroup2_3Layout->addWidget( kcfg_DigitalShowFrame );
    spacer21 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ButtonGroup2_3Layout->addItem( spacer21 );
    DigitalWidgetLayout->addWidget( ButtonGroup2_3 );

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( KDialog::spacingHint() );
    groupBox1->layout()->setMargin( KDialog::marginHint() );
    groupBox1Layout = new QVBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    kcfg_DigitalLCDStyle = new QCheckBox( groupBox1, "kcfg_DigitalLCDStyle" );
    kcfg_DigitalLCDStyle->setChecked( FALSE );
    groupBox1Layout->addWidget( kcfg_DigitalLCDStyle );

    layout14 = new QGridLayout( 0, 1, 1, 0, KDialog::spacingHint(), "layout14"); 

    Foreground_ColorL = new QLabel( groupBox1, "Foreground_ColorL" );
    Foreground_ColorL->setEnabled( TRUE );

    layout14->addWidget( Foreground_ColorL, 0, 0 );

    kcfg_DigitalBackgroundColor = new KColorButton( groupBox1, "kcfg_DigitalBackgroundColor" );
    kcfg_DigitalBackgroundColor->setEnabled( TRUE );

    layout14->addWidget( kcfg_DigitalBackgroundColor, 2, 1 );

    backgroundDigitalLabel = new QLabel( groupBox1, "backgroundDigitalLabel" );
    backgroundDigitalLabel->setEnabled( TRUE );

    layout14->addWidget( backgroundDigitalLabel, 2, 0 );

    kcfg_DigitalForegroundColor = new KColorButton( groupBox1, "kcfg_DigitalForegroundColor" );
    kcfg_DigitalForegroundColor->setEnabled( TRUE );

    layout14->addWidget( kcfg_DigitalForegroundColor, 0, 1 );

    kcfg_DigitalShadowColor = new KColorButton( groupBox1, "kcfg_DigitalShadowColor" );
    kcfg_DigitalShadowColor->setEnabled( TRUE );

    layout14->addWidget( kcfg_DigitalShadowColor, 1, 1 );
    spacer9 = new QSpacerItem( 110, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout14->addItem( spacer9, 1, 2 );

    Shadow_ColorL = new QLabel( groupBox1, "Shadow_ColorL" );
    Shadow_ColorL->setEnabled( TRUE );

    layout14->addWidget( Shadow_ColorL, 1, 0 );
    groupBox1Layout->addLayout( layout14 );
    spacer75 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    groupBox1Layout->addItem( spacer75 );
    DigitalWidgetLayout->addWidget( groupBox1 );
    languageChange();
    resize( QSize(553, 251).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_DigitalLCDStyle, SIGNAL( toggled(bool) ), kcfg_DigitalBackgroundColor, SLOT( setDisabled(bool) ) );
    connect( kcfg_DigitalLCDStyle, SIGNAL( toggled(bool) ), backgroundDigitalLabel, SLOT( setDisabled(bool) ) );
    connect( kcfg_DigitalLCDStyle, SIGNAL( toggled(bool) ), kcfg_DigitalForegroundColor, SLOT( setDisabled(bool) ) );
    connect( kcfg_DigitalLCDStyle, SIGNAL( toggled(bool) ), Foreground_ColorL, SLOT( setDisabled(bool) ) );
    connect( kcfg_DigitalLCDStyle, SIGNAL( toggled(bool) ), kcfg_DigitalShadowColor, SLOT( setDisabled(bool) ) );
    connect( kcfg_DigitalLCDStyle, SIGNAL( toggled(bool) ), Shadow_ColorL, SLOT( setDisabled(bool) ) );

    // tab order
    setTabOrder( kcfg_DigitalShowDate, kcfg_DigitalShowSeconds );
    setTabOrder( kcfg_DigitalShowSeconds, kcfg_DigitalBlink );
    setTabOrder( kcfg_DigitalBlink, kcfg_DigitalShowFrame );
    setTabOrder( kcfg_DigitalShowFrame, kcfg_DigitalLCDStyle );
    setTabOrder( kcfg_DigitalLCDStyle, kcfg_DigitalForegroundColor );
    setTabOrder( kcfg_DigitalForegroundColor, kcfg_DigitalShadowColor );
    setTabOrder( kcfg_DigitalShadowColor, kcfg_DigitalBackgroundColor );

    // buddies
    Foreground_ColorL->setBuddy( kcfg_DigitalForegroundColor );
    backgroundDigitalLabel->setBuddy( kcfg_DigitalBackgroundColor );
    Shadow_ColorL->setBuddy( kcfg_DigitalShadowColor );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DigitalWidget::~DigitalWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DigitalWidget::languageChange()
{
    ButtonGroup2_3->setTitle( tr2i18n( "Display" ) );
    kcfg_DigitalShowDate->setText( tr2i18n( "Dat&e" ) );
    kcfg_DigitalShowSeconds->setText( tr2i18n( "Seco&nds" ) );
    kcfg_DigitalShowDayOfWeek->setText( tr2i18n( "Da&y of week" ) );
    kcfg_DigitalBlink->setText( tr2i18n( "Blin&king dots" ) );
    kcfg_DigitalShowFrame->setText( tr2i18n( "&Frame" ) );
    groupBox1->setTitle( tr2i18n( "Time" ) );
    kcfg_DigitalLCDStyle->setText( tr2i18n( "LCD look" ) );
    Foreground_ColorL->setText( tr2i18n( "Foreground color:" ) );
    kcfg_DigitalBackgroundColor->setText( QString::null );
    backgroundDigitalLabel->setText( tr2i18n( "Background color:" ) );
    kcfg_DigitalForegroundColor->setText( QString::null );
    kcfg_DigitalShadowColor->setText( QString::null );
    Shadow_ColorL->setText( tr2i18n( "Shadow color:" ) );
}

void DigitalWidget::kcfg_DigitalLCDStyle_stateChanged(int)
{
    qWarning( "DigitalWidget::kcfg_DigitalLCDStyle_stateChanged(int): Not implemented yet" );
}

/****************************************************************************
** DigitalWidget meta object code from reading C++ file 'digital.h'
**
** Created: Sat Feb 6 13:52:37 2016
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "digital.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *DigitalWidget::className() const
{
    return "DigitalWidget";
}

QMetaObject *DigitalWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_DigitalWidget( "DigitalWidget", &DigitalWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString DigitalWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DigitalWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString DigitalWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DigitalWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* DigitalWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUParameter param_slot_0[] = {
	{ 0, &static_QUType_int, 0, QUParameter::In }
    };
    static const QUMethod slot_0 = {"kcfg_DigitalLCDStyle_stateChanged", 1, param_slot_0 };
    static const QUMethod slot_1 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "kcfg_DigitalLCDStyle_stateChanged(int)", &slot_0, QMetaData::Public },
	{ "languageChange()", &slot_1, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"DigitalWidget", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_DigitalWidget.setMetaObject( metaObj );
    return metaObj;
}

void* DigitalWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DigitalWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool DigitalWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: kcfg_DigitalLCDStyle_stateChanged((int)static_QUType_int.get(_o+1)); break;
    case 1: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool DigitalWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool DigitalWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool DigitalWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
