#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'nonKDEButtonSettings.ui'
**
** Created: 2016-02-06T13:51:03
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "nonKDEButtonSettings.h"

#include <qvariant.h>
#include <kurlrequester.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qlineedit.h>
#include <kicondialog.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a NonKDEButtonSettings as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
NonKDEButtonSettings::NonKDEButtonSettings( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "NonKDEButtonSettings" );
    NonKDEButtonSettingsLayout = new QGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "NonKDEButtonSettingsLayout"); 

    m_exec = new KURLRequester( this, "m_exec" );

    NonKDEButtonSettingsLayout->addMultiCellWidget( m_exec, 7, 7, 0, 1 );

    textLabel3 = new QLabel( this, "textLabel3" );

    NonKDEButtonSettingsLayout->addMultiCellWidget( textLabel3, 8, 8, 0, 1 );

    m_inTerm = new QCheckBox( this, "m_inTerm" );

    NonKDEButtonSettingsLayout->addMultiCellWidget( m_inTerm, 10, 10, 0, 1 );

    m_commandLine = new QLineEdit( this, "m_commandLine" );

    NonKDEButtonSettingsLayout->addMultiCellWidget( m_commandLine, 9, 9, 0, 1 );

    textLabel2 = new QLabel( this, "textLabel2" );

    NonKDEButtonSettingsLayout->addWidget( textLabel2, 6, 0 );

    m_title = new QLineEdit( this, "m_title" );
    m_title->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 15, 0, m_title->sizePolicy().hasHeightForWidth() ) );

    NonKDEButtonSettingsLayout->addWidget( m_title, 1, 1 );

    textLabel1 = new QLabel( this, "textLabel1" );

    NonKDEButtonSettingsLayout->addWidget( textLabel1, 0, 1 );
    spacer1 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    NonKDEButtonSettingsLayout->addItem( spacer1, 11, 1 );

    m_icon = new KIconButton( this, "m_icon" );
    m_icon->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, m_icon->sizePolicy().hasHeightForWidth() ) );
    m_icon->setMinimumSize( QSize( 58, 58 ) );
    m_icon->setMaximumSize( QSize( 58, 58 ) );
    m_icon->setIconSize( 48 );

    NonKDEButtonSettingsLayout->addMultiCellWidget( m_icon, 0, 2, 0, 0 );

    textLabel4 = new QLabel( this, "textLabel4" );

    NonKDEButtonSettingsLayout->addWidget( textLabel4, 4, 0 );

    m_description = new QLineEdit( this, "m_description" );
    m_description->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 15, 0, m_description->sizePolicy().hasHeightForWidth() ) );

    NonKDEButtonSettingsLayout->addMultiCellWidget( m_description, 5, 5, 0, 1 );
    spacer1_2 = new QSpacerItem( 20, 8, QSizePolicy::Minimum, QSizePolicy::Minimum );
    NonKDEButtonSettingsLayout->addItem( spacer1_2, 2, 1 );
    languageChange();
    resize( QSize(436, 225).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( m_icon, m_title );
    setTabOrder( m_title, m_description );
    setTabOrder( m_description, m_exec );
    setTabOrder( m_exec, m_commandLine );
    setTabOrder( m_commandLine, m_inTerm );

    // buddies
    textLabel3->setBuddy( m_commandLine );
    textLabel2->setBuddy( m_exec );
    textLabel1->setBuddy( m_title );
    textLabel4->setBuddy( m_description );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NonKDEButtonSettings::~NonKDEButtonSettings()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NonKDEButtonSettings::languageChange()
{
    setCaption( QString::null );
    QWhatsThis::add( m_exec, tr2i18n( "Enter the name of the executable file to be run when this button is selected. If it is not in your $PATH then you will need to provide an absolute path." ) );
    textLabel3->setText( tr2i18n( "Co&mmand line arguments (optional):" ) );
    QWhatsThis::add( textLabel3, tr2i18n( "Enter any command line options that should be passed to the command here.\n"
"\n"
"<i>Example</i>: For the command `rm -rf` enter \"-rf\" in this text box." ) );
    m_inTerm->setText( tr2i18n( "Run in a &terminal window" ) );
    QWhatsThis::add( m_inTerm, tr2i18n( "Select this option if the command is a command line application and you wish to be able to see its output when run." ) );
    QWhatsThis::add( m_commandLine, tr2i18n( "Enter any command line options that should be passed to the command here.\n"
"\n"
"<i>Example</i>: For the command `rm -rf` enter \"-rf\" in this text box." ) );
    textLabel2->setText( tr2i18n( "&Executable:" ) );
    QWhatsThis::add( textLabel2, tr2i18n( "Enter the name of the executable file to be run when this button is selected. If it is not in your $PATH then you will need to provide an absolute path." ) );
    QWhatsThis::add( m_title, tr2i18n( "Enter the name you would like to appear for this button here." ) );
    textLabel1->setText( tr2i18n( "&Button title:" ) );
    QWhatsThis::add( textLabel1, tr2i18n( "Enter the name you would like to appear for this button here." ) );
    m_icon->setText( QString::null );
    textLabel4->setText( tr2i18n( "&Description:" ) );
    QWhatsThis::add( textLabel4, tr2i18n( "Enter the name you would like to appear for this button here." ) );
    QWhatsThis::add( m_description, tr2i18n( "Enter the name you would like to appear for this button here." ) );
}

/****************************************************************************
** NonKDEButtonSettings meta object code from reading C++ file 'nonKDEButtonSettings.h'
**
** Created: Sat Feb 6 13:51:03 2016
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "nonKDEButtonSettings.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *NonKDEButtonSettings::className() const
{
    return "NonKDEButtonSettings";
}

QMetaObject *NonKDEButtonSettings::metaObj = 0;
static QMetaObjectCleanUp cleanUp_NonKDEButtonSettings( "NonKDEButtonSettings", &NonKDEButtonSettings::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString NonKDEButtonSettings::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "NonKDEButtonSettings", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString NonKDEButtonSettings::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "NonKDEButtonSettings", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* NonKDEButtonSettings::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"NonKDEButtonSettings", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_NonKDEButtonSettings.setMetaObject( metaObj );
    return metaObj;
}

void* NonKDEButtonSettings::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "NonKDEButtonSettings" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool NonKDEButtonSettings::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool NonKDEButtonSettings::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool NonKDEButtonSettings::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool NonKDEButtonSettings::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
