#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kospagedlg.ui'
**
** Created: 2016-02-06T13:56:54
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kospagedlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtextview.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kdialog.h"

/*
 *  Constructs a KOSPageDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KOSPageDlg::KOSPageDlg( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KOSPageDlg" );
    KOSPageDlgLayout = new QGridLayout( this, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "KOSPageDlgLayout"); 

    textview_ospage = new QTextView( this, "textview_ospage" );

    KOSPageDlgLayout->addWidget( textview_ospage, 4, 1 );

    px_osSidebar = new QLabel( this, "px_osSidebar" );
    px_osSidebar->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, px_osSidebar->sizePolicy().hasHeightForWidth() ) );
    px_osSidebar->setMinimumSize( QSize( 170, 430 ) );
    px_osSidebar->setFrameShape( QLabel::Panel );
    px_osSidebar->setFrameShadow( QLabel::Sunken );
    px_osSidebar->setScaledContents( TRUE );
    px_osSidebar->setIndent( 0 );

    KOSPageDlgLayout->addMultiCellWidget( px_osSidebar, 0, 7, 0, 0 );

    TextLabel9 = new QLabel( this, "TextLabel9" );

    KOSPageDlgLayout->addWidget( TextLabel9, 3, 1 );

    bg_ospage = new QButtonGroup( this, "bg_ospage" );
    bg_ospage->setColumnLayout(0, Qt::Vertical );
    bg_ospage->layout()->setSpacing( KDialog::spacingHint() );
    bg_ospage->layout()->setMargin( KDialog::marginHint() );
    bg_ospageLayout = new QGridLayout( bg_ospage->layout() );
    bg_ospageLayout->setAlignment( Qt::AlignTop );

    rb_kde = new QRadioButton( bg_ospage, "rb_kde" );
    rb_kde->setChecked( TRUE );

    bg_ospageLayout->addWidget( rb_kde, 0, 0 );

    rb_unix = new QRadioButton( bg_ospage, "rb_unix" );

    bg_ospageLayout->addWidget( rb_unix, 1, 0 );

    rb_windows = new QRadioButton( bg_ospage, "rb_windows" );

    bg_ospageLayout->addWidget( rb_windows, 0, 1 );

    rb_mac = new QRadioButton( bg_ospage, "rb_mac" );

    bg_ospageLayout->addWidget( rb_mac, 1, 1 );

    KOSPageDlgLayout->addWidget( bg_ospage, 2, 1 );

    TextLabel1 = new QLabel( this, "TextLabel1" );
    TextLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, TextLabel1->sizePolicy().hasHeightForWidth() ) );

    KOSPageDlgLayout->addWidget( TextLabel1, 0, 1 );
    Spacer2 = new QSpacerItem( 22, 10, QSizePolicy::Minimum, QSizePolicy::Fixed );
    KOSPageDlgLayout->addItem( Spacer2, 1, 1 );
    Spacer2_2 = new QSpacerItem( 22, 16, QSizePolicy::Minimum, QSizePolicy::Fixed );
    KOSPageDlgLayout->addItem( Spacer2_2, 5, 1 );

    TextLabel2 = new QLabel( this, "TextLabel2" );
    TextLabel2->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );

    KOSPageDlgLayout->addWidget( TextLabel2, 6, 1 );

    cb_gestures = new QCheckBox( this, "cb_gestures" );

    KOSPageDlgLayout->addWidget( cb_gestures, 7, 1 );
    languageChange();
    resize( QSize(561, 460).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( rb_kde, SIGNAL( clicked() ), this, SLOT( slotKDEDescription() ) );
    connect( rb_unix, SIGNAL( clicked() ), this, SLOT( slotUnixDescription() ) );
    connect( rb_windows, SIGNAL( clicked() ), this, SLOT( slotWindowsDescription() ) );
    connect( rb_mac, SIGNAL( clicked() ), this, SLOT( slotMacDescription() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KOSPageDlg::~KOSPageDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KOSPageDlg::languageChange()
{
    TextLabel9->setText( tr2i18n( "Description:" ) );
    bg_ospage->setTitle( tr2i18n( "Select Preferred System Behavior" ) );
    rb_kde->setText( tr2i18n( "KDE (TM)" ) );
    rb_unix->setText( tr2i18n( "UNIX (R)" ) );
    rb_windows->setText( tr2i18n( "Microsoft Windows (R)" ) );
    rb_mac->setText( tr2i18n( "Apple MacOS (R)" ) );
    TextLabel1->setText( tr2i18n( "<b>System Behavior</b><br>\n"
"Graphical User Interfaces behave differently on various Operating Systems.\n"
"Trinity allows you to customize its behavior according to your needs." ) );
    TextLabel2->setText( tr2i18n( "For motion impaired users, Trinity provides keyboard gestures to activate special keyboard settings." ) );
    cb_gestures->setText( tr2i18n( "Enable accessibility related keyboard gestures" ) );
}

void KOSPageDlg::slotWindowsDescription()
{
    qWarning( "KOSPageDlg::slotWindowsDescription(): Not implemented yet" );
}

void KOSPageDlg::slotKDEDescription()
{
    qWarning( "KOSPageDlg::slotKDEDescription(): Not implemented yet" );
}

void KOSPageDlg::slotMacDescription()
{
    qWarning( "KOSPageDlg::slotMacDescription(): Not implemented yet" );
}

void KOSPageDlg::slotUnixDescription()
{
    qWarning( "KOSPageDlg::slotUnixDescription(): Not implemented yet" );
}

/****************************************************************************
** KOSPageDlg meta object code from reading C++ file 'kospagedlg.h'
**
** Created: Sat Feb 6 13:56:54 2016
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "kospagedlg.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KOSPageDlg::className() const
{
    return "KOSPageDlg";
}

QMetaObject *KOSPageDlg::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KOSPageDlg( "KOSPageDlg", &KOSPageDlg::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KOSPageDlg::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KOSPageDlg", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KOSPageDlg::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KOSPageDlg", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KOSPageDlg::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"slotWindowsDescription", 0, 0 };
    static const QUMethod slot_1 = {"slotKDEDescription", 0, 0 };
    static const QUMethod slot_2 = {"slotMacDescription", 0, 0 };
    static const QUMethod slot_3 = {"slotUnixDescription", 0, 0 };
    static const QUMethod slot_4 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "slotWindowsDescription()", &slot_0, QMetaData::Public },
	{ "slotKDEDescription()", &slot_1, QMetaData::Public },
	{ "slotMacDescription()", &slot_2, QMetaData::Public },
	{ "slotUnixDescription()", &slot_3, QMetaData::Public },
	{ "languageChange()", &slot_4, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KOSPageDlg", parentObject,
	slot_tbl, 5,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KOSPageDlg.setMetaObject( metaObj );
    return metaObj;
}

void* KOSPageDlg::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KOSPageDlg" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool KOSPageDlg::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: slotWindowsDescription(); break;
    case 1: slotKDEDescription(); break;
    case 2: slotMacDescription(); break;
    case 3: slotUnixDescription(); break;
    case 4: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KOSPageDlg::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KOSPageDlg::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool KOSPageDlg::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
