#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'ListViewSettingsWidget.ui'
**
** Created: 2016-02-06T14:02:00
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ListViewSettingsWidget.h"

#include <qvariant.h>
#include <kdialog.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <kcolorbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "ListViewSettingsWidget.ui.h"

/*
 *  Constructs a ListViewSettingsWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ListViewSettingsWidget::ListViewSettingsWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ListViewSettingsWidget" );
    ListViewSettingsWidgetLayout = new QVBoxLayout( this, KDialog::marginHint(), KDialog::spacingHint(), "ListViewSettingsWidgetLayout"); 

    titleFrame = new QGroupBox( this, "titleFrame" );
    titleFrame->setColumnLayout(0, Qt::Vertical );
    titleFrame->layout()->setSpacing( KDialog::spacingHint() );
    titleFrame->layout()->setMargin( KDialog::marginHint() );
    titleFrameLayout = new QVBoxLayout( titleFrame->layout() );
    titleFrameLayout->setAlignment( Qt::AlignTop );

    m_title = new QLineEdit( titleFrame, "m_title" );
    titleFrameLayout->addWidget( m_title );
    ListViewSettingsWidgetLayout->addWidget( titleFrame );

    colorFrame = new QGroupBox( this, "colorFrame" );
    colorFrame->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 1, colorFrame->sizePolicy().hasHeightForWidth() ) );
    colorFrame->setFrameShape( QGroupBox::Box );
    colorFrame->setFrameShadow( QGroupBox::Sunken );
    colorFrame->setAlignment( int( QGroupBox::WordBreak | QGroupBox::AlignVCenter | QGroupBox::AlignLeft ) );
    colorFrame->setColumnLayout(0, Qt::Vertical );
    colorFrame->layout()->setSpacing( KDialog::spacingHint() );
    colorFrame->layout()->setMargin( KDialog::marginHint() );
    colorFrameLayout = new QGridLayout( colorFrame->layout() );
    colorFrameLayout->setAlignment( Qt::AlignTop );

    layout2 = new QVBoxLayout( 0, 0, KDialog::spacingHint(), "layout2"); 

    textLabel1 = new QLabel( colorFrame, "textLabel1" );
    layout2->addWidget( textLabel1 );

    textLabel2 = new QLabel( colorFrame, "textLabel2" );
    layout2->addWidget( textLabel2 );

    textLabel3 = new QLabel( colorFrame, "textLabel3" );
    layout2->addWidget( textLabel3 );

    colorFrameLayout->addLayout( layout2, 0, 0 );

    layout1 = new QVBoxLayout( 0, 0, KDialog::spacingHint(), "layout1"); 

    m_textColor = new KColorButton( colorFrame, "m_textColor" );
    m_textColor->setColor( QColor( 0, 255, 0 ) );
    layout1->addWidget( m_textColor );

    m_gridColor = new KColorButton( colorFrame, "m_gridColor" );
    m_gridColor->setColor( QColor( 0, 0, 0 ) );
    layout1->addWidget( m_gridColor );

    m_backgroundColor = new KColorButton( colorFrame, "m_backgroundColor" );
    m_backgroundColor->setColor( QColor( 255, 0, 0 ) );
    layout1->addWidget( m_backgroundColor );

    colorFrameLayout->addLayout( layout1, 0, 1 );
    ListViewSettingsWidgetLayout->addWidget( colorFrame );
    languageChange();
    resize( QSize(399, 202).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ListViewSettingsWidget::~ListViewSettingsWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ListViewSettingsWidget::languageChange()
{
    titleFrame->setTitle( tr2i18n( "Title" ) );
    colorFrame->setTitle( tr2i18n( "Colors" ) );
    textLabel1->setText( tr2i18n( "Text color:" ) );
    textLabel2->setText( tr2i18n( "Grid color:" ) );
    textLabel3->setText( tr2i18n( "Background color:" ) );
    m_textColor->setText( QString::null );
    m_gridColor->setText( QString::null );
    m_backgroundColor->setText( QString::null );
}

/****************************************************************************
** ListViewSettingsWidget meta object code from reading C++ file 'ListViewSettingsWidget.h'
**
** Created: Sat Feb 6 14:02:00 2016
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "ListViewSettingsWidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *ListViewSettingsWidget::className() const
{
    return "ListViewSettingsWidget";
}

QMetaObject *ListViewSettingsWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_ListViewSettingsWidget( "ListViewSettingsWidget", &ListViewSettingsWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString ListViewSettingsWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ListViewSettingsWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString ListViewSettingsWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ListViewSettingsWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* ListViewSettingsWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"ListViewSettingsWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_ListViewSettingsWidget.setMetaObject( metaObj );
    return metaObj;
}

void* ListViewSettingsWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ListViewSettingsWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool ListViewSettingsWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool ListViewSettingsWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool ListViewSettingsWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool ListViewSettingsWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
