#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'configdialog.ui'
**
** Created: 2016-02-06T13:43:34
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configdialog.h"

#include <qvariant.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ConfigDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ConfigDialog::ConfigDialog( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ConfigDialog" );
    ConfigDialogLayout = new QVBoxLayout( this, 0, 6, "ConfigDialogLayout"); 

    titleAlign = new QButtonGroup( this, "titleAlign" );
    titleAlign->setColumnLayout(0, Qt::Vertical );
    titleAlign->layout()->setSpacing( 6 );
    titleAlign->layout()->setMargin( 11 );
    titleAlignLayout = new QHBoxLayout( titleAlign->layout() );
    titleAlignLayout->setAlignment( Qt::AlignTop );

    AlignLeft = new QRadioButton( titleAlign, "AlignLeft" );
    titleAlignLayout->addWidget( AlignLeft );

    AlignHCenter = new QRadioButton( titleAlign, "AlignHCenter" );
    titleAlignLayout->addWidget( AlignHCenter );

    AlignRight = new QRadioButton( titleAlign, "AlignRight" );
    titleAlignLayout->addWidget( AlignRight );
    ConfigDialogLayout->addWidget( titleAlign );

    coloredBorder = new QCheckBox( this, "coloredBorder" );
    ConfigDialogLayout->addWidget( coloredBorder );

    titleShadow = new QCheckBox( this, "titleShadow" );
    ConfigDialogLayout->addWidget( titleShadow );

    animateButtons = new QCheckBox( this, "animateButtons" );
    ConfigDialogLayout->addWidget( animateButtons );

    menuClose = new QCheckBox( this, "menuClose" );
    ConfigDialogLayout->addWidget( menuClose );
    languageChange();
    resize( QSize(541, 170).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( AlignLeft, AlignHCenter );
    setTabOrder( AlignHCenter, AlignRight );
    setTabOrder( AlignRight, animateButtons );
    setTabOrder( animateButtons, titleShadow );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConfigDialog::~ConfigDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConfigDialog::languageChange()
{
    setCaption( tr2i18n( "Config Dialog" ) );
    titleAlign->setTitle( tr2i18n( "Title &Alignment" ) );
    AlignLeft->setText( tr2i18n( "Left" ) );
    AlignHCenter->setText( tr2i18n( "Center" ) );
    AlignRight->setText( tr2i18n( "Right" ) );
    coloredBorder->setText( tr2i18n( "Colored window border" ) );
    coloredBorder->setAccel( QKeySequence( QString::null ) );
    QWhatsThis::add( coloredBorder, tr2i18n( "Check this option if the window border should be painted in the titlebar color. Otherwise it will be painted in the background color." ) );
    titleShadow->setText( tr2i18n( "Use shadowed &text" ) );
    QWhatsThis::add( titleShadow, tr2i18n( "Check this option if you want the titlebar text to have a 3D look with a shadow behind it." ) );
    animateButtons->setText( tr2i18n( "Animate buttons" ) );
    QWhatsThis::add( animateButtons, tr2i18n( "Check this option if you want the buttons to fade in when the mouse pointer hovers over them and fade out again when it moves away." ) );
    menuClose->setText( tr2i18n( "Close windows by double clicking the menu button" ) );
    QWhatsThis::add( menuClose, tr2i18n( "Check this option if you want windows to be closed when you double click the menu button, similar to Microsoft Windows." ) );
}

/****************************************************************************
** ConfigDialog meta object code from reading C++ file 'configdialog.h'
**
** Created: Sat Feb 6 13:43:34 2016
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "configdialog.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *ConfigDialog::className() const
{
    return "ConfigDialog";
}

QMetaObject *ConfigDialog::metaObj = 0;
static QMetaObjectCleanUp cleanUp_ConfigDialog( "ConfigDialog", &ConfigDialog::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString ConfigDialog::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ConfigDialog", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString ConfigDialog::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ConfigDialog", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* ConfigDialog::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"ConfigDialog", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_ConfigDialog.setMetaObject( metaObj );
    return metaObj;
}

void* ConfigDialog::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ConfigDialog" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool ConfigDialog::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool ConfigDialog::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool ConfigDialog::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool ConfigDialog::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
