#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'editshortcutbase.ui'
**
** Created: 2016-02-06T13:43:10
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "editshortcutbase.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qframe.h>
#include <klineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a EditShortcutBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
EditShortcutBase::EditShortcutBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "EditShortcutBase" );
    EditShortcutBaseLayout = new QVBoxLayout( this, KDialog::marginHint(), KDialog::spacingHint(), "EditShortcutBaseLayout"); 

    textLabel2 = new QLabel( this, "textLabel2" );
    textLabel2->setTextFormat( QLabel::RichText );
    EditShortcutBaseLayout->addWidget( textLabel2 );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );
    EditShortcutBaseLayout->addWidget( line1 );

    shortcut = new KLineEdit( this, "shortcut" );
    EditShortcutBaseLayout->addWidget( shortcut );

    layout2 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "layout2"); 
    spacer1 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer1 );

    pushButton1 = new QPushButton( this, "pushButton1" );
    layout2->addWidget( pushButton1 );
    spacer2 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer2 );

    pushButton2 = new QPushButton( this, "pushButton2" );
    layout2->addWidget( pushButton2 );
    spacer3 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer3 );
    EditShortcutBaseLayout->addLayout( layout2 );

    line2 = new QFrame( this, "line2" );
    line2->setFrameShape( QFrame::HLine );
    line2->setFrameShadow( QFrame::Sunken );
    line2->setFrameShape( QFrame::HLine );
    EditShortcutBaseLayout->addWidget( line2 );
    languageChange();
    resize( QSize(587, 402).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushButton1, SIGNAL( clicked() ), this, SLOT( editShortcut() ) );
    connect( pushButton2, SIGNAL( clicked() ), this, SLOT( clearShortcut() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
EditShortcutBase::~EditShortcutBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void EditShortcutBase::languageChange()
{
    textLabel2->setText( tr2i18n( "A single shortcut can be easily assigned or cleared using the two buttons. Only shortcuts with modifiers can be used.<p>\n"
"It is possible to have several possible shortcuts, and the first available shortcut will be used. The shortcuts are specified using space-separated shortcut sets. One set is specified as <i>base</i>+(<i>list</i>), where base are modifiers and list is a list of keys.<br>\n"
"For example \"<b>Shift+Alt+(123) Shift+Ctrl+(ABC)</b>\" will first try <b>Shift+Alt+1</b>, then others with <b>Shift+Ctrl+C</b> as the last one." ) );
    pushButton1->setText( tr2i18n( "&Single Shortcut" ) );
    pushButton2->setText( tr2i18n( "C&lear" ) );
}

/****************************************************************************
** EditShortcutBase meta object code from reading C++ file 'editshortcutbase.h'
**
** Created: Sat Feb 6 13:43:10 2016
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "editshortcutbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *EditShortcutBase::className() const
{
    return "EditShortcutBase";
}

QMetaObject *EditShortcutBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_EditShortcutBase( "EditShortcutBase", &EditShortcutBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString EditShortcutBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "EditShortcutBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString EditShortcutBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "EditShortcutBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* EditShortcutBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QUMethod slot_1 = {"editShortcut", 0, 0 };
    static const QUMethod slot_2 = {"clearShortcut", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected },
	{ "editShortcut()", &slot_1, QMetaData::Protected },
	{ "clearShortcut()", &slot_2, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"EditShortcutBase", parentObject,
	slot_tbl, 3,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_EditShortcutBase.setMetaObject( metaObj );
    return metaObj;
}

void* EditShortcutBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "EditShortcutBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool EditShortcutBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: editShortcut(); break;
    case 2: clearShortcut(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool EditShortcutBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool EditShortcutBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool EditShortcutBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
